$! cdrecordbld.com
$! This is the command procedure that builds the components of the
$! CDRECORD facility.  The following items will be built.
$!
$!
$!	CDRECORD.EXE	-	Executable which interfaces with the DQDRIVER
$!				to write CDR media on supported cdrw drives.
$!				
$!	Creation date:		30-Jan-2002
$!	Author:			Chip Dancy
$!	Modifications:
$!
$!	X-4	bw		Bob Wilson	21-Jul-2003
$!		Modifications to build for IA64.
$!
$!	X-3	CAD004		Chip Dancy	08-Apr-2002
$!		Modified this procedure to handle a new user procedure,
$!		CDRECORD.COM, and to delete handling of two user procedures
$!		to be obsoleted, (CDRECORD_SETUP.COM and CDRECORD_RUN.COM).
$! 
$!	X-2	CAD002		Chip Dancy	25-Feb-2002
$!		Added a srclib section in order to build, link, and execute
$!		modules which create some .h files needed for the remainder
$!		of the build.  Assisted by Bob Wilson.
$!
$!	X-1	CAD001		Chip Dancy	30-Jan-2002
$!		Initial version.
$!
$!
$ goto 'PHASE'
$ !-----------------------------------------------------------------------------
$ init:
$ !
$ !	Create the sub directories
$ !
$ @SYSBLDCOM$:CREATEDIR
$ exit
$ !-----------------------------------------------------------------------------
$ update:
$ !
$ ! All the .h files are listed here.
$  SRCUPDATE	AUHEADER.H       
$  SRCUPDATE	CDRECORD.H       
$  SRCUPDATE	ISO9660.H        
$  SRCUPDATE	SCSIMMC.H        
$  SRCUPDATE	SCSI_SCAN.H      
$!
$  SRCUPDATE	BTORDER.H        
$  SRCUPDATE	CCOMDEFS.H       
$  SRCUPDATE	DEFLTS.H         
$  SRCUPDATE	DEVICE.H         
$  SRCUPDATE	DIRDEFS.H        
$  SRCUPDATE	FCTLDEFS.H       
$  SRCUPDATE	GETARGS.H        
$  SRCUPDATE	INTCVT.H         
$  SRCUPDATE	LIBPORT.H        
$  SRCUPDATE	MCONFIG.H        
$  SRCUPDATE	MMAPDEFS.H       
$  SRCUPDATE	PATMATCH.H       
$  SRCUPDATE	PROTOTYP.H       
$  SRCUPDATE	SCHILY.H         
$  SRCUPDATE	SIGBLK.H         
$  SRCUPDATE	STANDARD.H       
$  SRCUPDATE	STATDEFS.H       
$  SRCUPDATE	STDXLIB.H        
$  SRCUPDATE	STKFRAME.H       
$  SRCUPDATE	STRDEFS.H        
$  SRCUPDATE	TIMEDEFS.H       
$  SRCUPDATE	UNIXSTD.H        
$  SRCUPDATE	UNLS.H           
$  SRCUPDATE	UTIMDEFS.H       
$  SRCUPDATE	UTYPES.H         
$  SRCUPDATE	VADEFS.H         
$  SRCUPDATE	WAITDEFS.H       
$  SRCUPDATE	XMCONFIG.H       
$!
$  SRCUPDATE	SCGCMD.H         
$  SRCUPDATE	SCGIO.H          
$  SRCUPDATE	SCGOPS.H         
$  SRCUPDATE	SCSICDB.H        
$  SRCUPDATE	SCSIDEFS.H       
$  SRCUPDATE	SCSIREG.H        
$  SRCUPDATE	SCSISENSE.H      
$  SRCUPDATE	SCSITRANSP.H     
$!
$  SRCUPDATE	IO.H             
$!
$  SRCUPDATE	PG.H             
$  SRCUPDATE	SCGTIMES.H       
$!
$  SRCUPDATE	ALIGN_TEST.C
$  SRCUPDATE	AVOFFSET.C
$! files that are included
$  SRCUPDATE	SCSI-VMS.C
$  SRCUPDATE	CVT.C
$! files that are directly moved to the resd
$  SRCUPDATE	CDRECORD.COM
$ exit
$ !-----------------------------------------------------------------------------
$ srclib:
$ !
$ if IA64_Cross
$   !
$   Then Define /NoLog IA64_CDU CDU /Translation_Attribute=Terminal
$        !
$        @EVMS$Build_Tools:ALPHA_CC.COM
$        @EVMS$Build_Tools:LINK.COM
$        !
$        if f$TrnLNM("DELETE","LNM$PROCESS_TABLE") .nes. ""
$          Then DeAssign DELETE
$          EndIf
$   !
$   EndIf
$ !
$ if EVAX .or. IA64_Cross
$   Then Define Sys$Library V73_RESD$:[SysLib]
$   EndIf
$ !
$ !	First we need to build the ALIGN_TEST 
$ !
$ CC /Prefix=ALL /Object=OBJ$: /Include_Directory=SRC$: /Define=("VMS") SRC$:ALIGN_TEST.C
$ !
$ Link /Executable=EXE$: OBJ$:ALIGN_TEST
$ !
$ Delete OBJ$:ALIGN_TEST.OBJ;*
$ !
$ Define /User sys$output LIB$:ALIGN.H
$ Run EXE$:ALIGN_TEST
$ !
$!+ - - - - - - - - 
$ !
$ !	Then we build the AVOFFSET
$ !
$ CC /Prefix=ALL /Object=OBJ$: /Include_Directory=SRC$: /Define=("VMS") SRC$:AVOFFSET.C
$ !
$ Link /Executable=EXE$: OBJ$:AVOFFSET
$ !
$ Delete OBJ$:AVOFFSET.OBJ;*
$ !
$ Define /User sys$output LIB$:AVOFFSET.H
$ Run EXE$:AVOFFSET
$ !
$ !	So we have added ALIGN.H and AVOFFSET.H to lib$
$ !
$ exit
$ !-----------------------------------------------------------------------------
$ assem:
$ !
$ !	Assemble the bits
$ !
$ PURGE OBJ$:*.OBJ
$ !
$ define/job scg src$
$ !
$ @SYSBLDCOM$:FASM 'FACNAM "" N 'UPDATE
$ !
$ exit
$!-----------------------------------------------------------------------------
$ objlib:
$ !
$ IF F$SEARCH("LIB$:CDRECORD.OLB") .NES. "" THEN DELETE LIB$:CDRECORD.OLB;
$ LIBRARY/CREATE/OBJECT/NOGLOBALS	        LIB$:CDRECORD
$ library/ins LIB$:CDRECORD obj$:*.obj
$ DELETE	obj$:*.OBJ.
$ RENAME	obj$:CDRECORD.OBB 	obj$:CDRECORD.OBJ
$ !
$ exit
$ !-----------------------------------------------------------------------------
$ lnklib:
$ !
$ !
$ exit                                            
$ !-----------------------------------------------------------------------------
$ link:
$ !
$ !	Link all the pieces
$ !
$ @COM$:CDRECORD_LNK.COM
$ !
$ exit
$ !-----------------------------------------------------------------------------
$ result:
$ !
$ !	Move the com files to sys$mgr, and exe to sysexe.
$ !
$ SET NOON
$ CPYRESMGR	SRC$:CDRECORD.COM
$ CPYRESEXE	EXE$:CDRECORD.EXE
$ !
$ exit
